> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-cluster.md).

# Kubernetes Cluster

This page describes the Optimization Pack for the Kubernetes Cluster component type.

## Metrics

| Name                            | Unit       | Description                                                       |
| ------------------------------- | ---------- | ----------------------------------------------------------------- |
| k8s\_cluster\_cpu               | millicores | The CPUs in the cluster                                           |
| k8s\_cluster\_cpu\_available    | millicores | The CPUs available for additional pods in the cluster             |
| k8s\_cluster\_cpu\_util         | percent    | The percentage of used CPUs in the cluster                        |
| k8s\_cluster\_cpu\_request      | millicores | The total CPUs requested in the cluster                           |
| k8s\_cluster\_memory            | bytes      | The overall memory in the cluster                                 |
| k8s\_cluster\_memory\_available | bytes      | The amount of memory available for additional pods in the cluster |
| k8s\_cluster\_memory\_util      | percent    | The percentage of used memory in the cluster                      |
| k8s\_cluster\_memory\_request   | bytes      | The total memory requested in the cluster                         |
| k8s\_cluster\_nodes             | nodes      | The number of nodes in the cluster                                |

## Parameters

There are no parameters for the Kubernetes Cluster component type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-cluster.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
